/* CSS Document */



#site-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 90px;
    background-color: var(--white);
    border-bottom: 1px solid var(--light-grey);
    z-index: 10;
}
#site-header.negative {
    position: relative;
    background-color: transparent;
    border-bottom: none;
    z-index: 12;
}

    #site-header .logo {
        max-width: 100%;
    }

        #site-header.negative .logo .a,
        #site-header.negative .logo .b,
        .logo.negative .a,
        .logo.negative .b {
            fill: var(--white) !important;
        }


    #site-header .navbar-nav { margin-right: calc(30px + 1.25rem); }

        #site-header a.nav-link { color: var(--almost-black); }
        #site-header.negative a.nav-link { color: var(--white); }

    /*
    #site-header .burger {
        width: 1.875rem;
        height: 1.875rem;
        vertical-align: unset;
    }
        #site-header .burger g {
            stroke: var(--giulipas-blue);
        }
        #site-header.negative .burger g {
            stroke: var(--white);
        }
        #site-header.negatives .burger:hover g {
            stroke: var(--giulipas-blue);
        }

    #site-header .navbar-toggler {
        padding: 0;
    }
    */

    .hamburger {
        position: absolute;
        top: calc(50% - 20px);
        right: 0;
        display: inline-block;
        overflow: visible;
        margin: 0;
        padding: .5rem 0 0 1.25rem;
        z-index: 1000;
        font: inherit;
        cursor: pointer;
        text-transform: none;
        color: inherit;
        border: 0;
        background-color: transparent;
    }

        .hamburger-box {
            position: relative;
            display: inline-block;
            width: 30px;
            height: 24px;
        }

            .hamburger-inner,
            .hamburger-inner:after,
            .hamburger-inner:before {
              position: absolute;
              width: 28px;
              height: 2px;
              border-radius: 2px;
              background-color: var(--giulipas-blue);
            }
            .negative .hamburger-inner,
            .negative .hamburger-inner:after,
            .negative .hamburger-inner:before {
                background-color: var(--white);
            }

            .hamburger-inner {
                top: 50%;
                display: block;
                margin-top: -2px;
            }
                .hamburger-inner:after, .hamburger-inner:before {
                    display: block;
                    content: "";
                }
                .hamburger-inner:before {
                    top: -9px;
                }
                .hamburger-inner:after {
                    bottom: -9px;
                    width: 18px;
                    right: 0;
                }


            .hamburger--spin .hamburger-inner {
                transition: transform .22s cubic-bezier(.55,.055,.675,.19), background-color .1s linear;
            }
                .hamburger--spin .hamburger-inner:before {
                    /* transition: top .1s ease-in .25s, opacity .1s ease-in, background-color .22s linear .5s; */

                    transition: top .1s ease-in .25s, transform .22s cubic-bezier(.55,.055,.675,.19), background-color .22s linear;
                }

                .hamburger--spin .hamburger-inner:after {
                    /* transition: bottom .1s ease-in .25s, transform .22s cubic-bezier(.55,.055,.675,.19), background-color .22s linear .5s; */

                    transition: bottom .1s ease-in .25s, opacity .1s ease-in, background-color .22s linear;
                }

            /* IS ACTIVE */
            .hamburger.is-active .hamburger-inner,
            .hamburger.is-active .hamburger-inner:after,
            .hamburger.is-active .hamburger-inner:before {
                background-color: var(--white);
            }

            .hamburger--spin.is-active .hamburger-inner {
                transition: transform .22s cubic-bezier(.215,.61,.355,1) .12s, background-color .12s linear .5s;
                transform: rotate(225deg)
            }

            .hamburger--spin.is-active .hamburger-inner:before {
                /* top: 0;
                transition: top .1s ease-out, opacity .1s ease-out .12s;
                opacity: 0; */

                top: 0;
                transition: top .1s ease-out, transform .22s cubic-bezier(.215,.61,.355,1) .12s, background-color .12s linear .5s;
                transform: rotate(-90deg);
            }

            .hamburger--spin.is-active .hamburger-inner:after {
                /* bottom: 0;
                transition: bottom .1s ease-out, transform .22s cubic-bezier(.215,.61,.355,1) .12s, background-color .12s linear .5s;
                transform: rotate(-90deg); */

                bottom: 0;
                transition: bottom .1s ease-out, opacity .1s ease-out .12s;
                opacity: 0;
            }




@media only screen and (max-width: 575px) {
	/*xs*/
}

@media only screen and (min-width: 576px) {
	/*sm*/
}

@media only screen and (min-width: 768px) {
	/*md*/

    #site-header { height: 100px; }

    #site-header .burger {
        height: 1.125rem;
        vertical-align: middle;
    }
}

@media only screen and (min-width: 960px) {
	/*lg*/
}

@media only screen and (min-width: 1140px) {
	/*xl*/
}
